Skip to main content
POST
/
availability-periods
Create an availability period
curl --request POST \
  --url https://www.ruddr.io/api/workspace/availability-periods \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start": "2023-12-25",
  "memberId": "<string>",
  "hoursPerDay": [
    123
  ]
}
'
{
  "hoursPerDay": [
    7,
    7,
    7,
    7,
    7,
    0,
    0
  ],
  "id": "7d2e4a91-c3b8-4f56-a0e7-9c5f2d813b47",
  "start": "2026-07-01",
  "createdAt": "2026-06-28T14:05:33.891Z",
  "isDefault": false,
  "end": "2026-12-31"
}
A period defining a member’s expected working hours. Members may not be full-time, and their availability can change over time.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
start
string<date>
required

The start date for the period. Must be in the form YYYY-MM-DD.

memberId
string
required

The member ID (uuid) for this availability period.

hoursPerDay
number[]
required

A list of available hours for each day of the week. The array must contain exactly 7 elements. The first value represents Monday. Each value must be between 0 and 24.

Response

200

hoursPerDay
number[]

A list of available hours for each day of the week. The array size is always 7. The first value represents Monday.

id
string

The unique identifier for the object.

start
string<date>

The start date for the period. Will be in the form YYYY-MM-DD.

createdAt
string<date-time>

The timestamp when the object was created.

isDefault
boolean

Whether this is the default availability period for the member.

end
string<date> | null

The end date for the period. Will be in the form YYYY-MM-DD. null if the period has no end date.